"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const events = require("events");
const eventEmitter = new events.EventEmitter();
class EventEmitterService {
    on(event, listener) {
        eventEmitter.on(event, listener);
    }
    emit(event, ...args) {
        eventEmitter.emit(event, args);
        return true;
    }
}
exports.EventEmitterService = EventEmitterService;
//# sourceMappingURL=event-emitter-service.js.map