/// <reference types="node" />
export interface FileStoreInterface {
    save(file: File): Promise<string>;
    get(hash: string): Promise<Buffer>;
}
export interface FileMetadata {
    filename: string;
    type: string;
    target: string;
}
export interface FileInterface {
    metadata: FileMetadata;
    content: Buffer;
}
export declare class FileStoreService implements FileStoreInterface {
    readonly fileStoreHost: any;
    constructor(fileStoreHost: any);
    save(file: File): Promise<string>;
    get(hash: string): Promise<Buffer>;
}
